=== debian/changelog ===
mdocml (1.13.3-3) unstable; urgency=medium

  * try harder to catch all PATH_MAX references for hurd-i386 build,
    closes: #829624
  * override the one Lintian warning that's unlikely to ever change

 -- Bdale Garbee <bdale@gag.com>  Thu, 07 Jul 2016 23:56:37 +0200

mdocml (1.13.3-2) unstable; urgency=medium

  * define PATH_MAX if not present, so hurd-i386 works, closes: #829624

 -- Bdale Garbee <bdale@gag.com>  Wed, 06 Jul 2016 20:50:01 +0200

mdocml (1.13.3-1) unstable; urgency=medium

  * Initial release (Closes: #829018)

 -- Bdale Garbee <bdale@gag.com>  Sat, 02 Jul 2016 21:09:13 +0200
