=== debian/control ===
Source: mdocml
Section: doc
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>=9),autotools-dev
Standards-Version: 3.9.8
Homepage: http://mdocml.bsd.lv/
Vcs-Git: git://anonscm.debian.org/collab-maint/mdocml.git
Vcs-Browser: http://anonscm.debian.org/git/collab-maint/mdocml.git

Package: mandoc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: BSD manpage compiler toolset
 mandoc is a suite of tools compiling mdoc, the roff macro language of choice 
 for BSD manual pages, and man, the predominant historical language for UNIX 
 manuals. It is small, ISO C, ISC-licensed, and quite fast. The main component
 of the toolset is the mandoc utility program, based on the libmandoc 
 validating compiler, to format output for UNIX terminals (with support for 
 wide-character locales), XHTML, HTML, PostScript, and PDF.
