=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

# HTTP site (basic)
http://mdocml.bsd.lv/snapshots/ \
  mdocml-([\d\.]+)\.tar\.gz debian uupdate
