=== regress/man/Makefile ===
# $OpenBSD: Makefile,v 1.17 2015/03/20 16:09:25 schwarze Exp $

SUBDIR = B BI EX HP IP MT OP PD PP RS SH SS TH TP TS UR nf blank

.include "../Makefile.sub"
.include <bsd.subdir.mk>
