=== regress/mdoc/Makefile ===
# $OpenBSD: Makefile,v 1.32 2017/01/11 17:39:45 schwarze Exp $

SUBDIR  = Ad An Ap Aq Ar At Bd Bf Bk Bl Brq Bx Cd Cm
SUBDIR += D1 Db Dd Dl Dq Dt Dv Em Eo Er Ev Ex Fd Fl Fo Ft Ic In Lb Li Lk
SUBDIR += Ms Mt Nd Nm No Ns Oo Op Os Ox Pa Pf Pp Qq Rs Rv
SUBDIR += Sh Sm Sq St Sx Sy Tn Ud Ux Va Vt Xr blank break

.include "../Makefile.sub"
.include <bsd.subdir.mk>
