=== regress/char/accent/Makefile ===
# $OpenBSD: Makefile,v 1.1 2014/03/08 18:00:59 schwarze Exp $

REGRESS_TARGETS = nocombine utf8only combine
SKIP_ASCII = utf8only combine
UTF8_TARGETS = nocombine utf8only combine

.include <bsd.regress.mk>
