=== regress/eqn/matrix/Makefile ===
# $OpenBSD: Makefile,v 1.1.1.1 2015/01/01 12:53:46 schwarze Exp $

REGRESS_TARGETS	 = basic empty
HTML_TARGETS	 = basic empty

.include <bsd.regress.mk>
