=== regress/man/PP/Makefile ===
# $OpenBSD: Makefile,v 1.4 2014/07/04 16:11:41 schwarze Exp $

REGRESS_TARGETS	= args empty
LINT_TARGETS	= args empty

.include <bsd.regress.mk>
