=== regress/man/RS/Makefile ===
# $OpenBSD: Makefile,v 1.11 2015/04/06 13:34:54 schwarze Exp $

REGRESS_TARGETS	 = an-margin breaking broken empty literal lonelyRE
REGRESS_TARGETS	+= nested noRE nowidth REarg width
LINT_TARGETS	 = empty lonelyRE noRE REarg

.include <bsd.regress.mk>
