=== regress/mdoc/Ad/Makefile ===
# $OpenBSD: Makefile,v 1.4 2014/07/02 20:18:42 schwarze Exp $

REGRESS_TARGETS	= noarg font
LINT_TARGETS	= noarg

.include <bsd.regress.mk>
