=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: doc
 Priority: optional
 Maintainer: Bdale Garbee <bdale@gag.com>
-Build-Depends: debhelper (>=9),autotools-dev
-Standards-Version: 3.9.8
+Uploaders: Michael Stapelberg <stapelberg@debian.org>
+Build-Depends: debhelper (>= 10), zlib1g-dev
+Standards-Version: 4.0.0
 Homepage: http://mdocml.bsd.lv/
-Vcs-Git: git://anonscm.debian.org/collab-maint/mdocml.git
-Vcs-Browser: http://anonscm.debian.org/git/collab-maint/mdocml.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/mdocml.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/mdocml.git
 
 Package: mandoc
 Architecture: any
