=== regress/roff/Makefile ===
# $OpenBSD: Makefile,v 1.20 2015/02/06 16:05:51 schwarze Exp $

SUBDIR  = args cond esc scale string
SUBDIR += br cc de ds ft ig it ll na nr po ps rm rn sp ta ti tr

.include "../Makefile.sub"
.include <bsd.subdir.mk>
