=== regress/char/N/Makefile ===
# $OpenBSD: Makefile,v 1.2 2011/11/17 16:28:45 schwarze Exp $

REGRESS_TARGETS=basic

.include <bsd.regress.mk>
