=== regress/eqn/nullary/Makefile ===
# $OpenBSD: Makefile,v 1.1.1.1 2015/01/01 12:53:46 schwarze Exp $

REGRESS_TARGETS	 = roman symbol
UTF8_TARGETS	 = symbol
HTML_TARGETS	 = roman symbol

.include <bsd.regress.mk>
