=== regress/man/nf/Makefile ===
# $OpenBSD: Makefile,v 1.7 2015/02/06 08:28:04 schwarze Exp $

REGRESS_TARGETS = indent args vert dupe userdef
LINT_TARGETS	= args dupe

.include <bsd.regress.mk>
