=== regress/mdoc/D1/Makefile ===
# $OpenBSD: Makefile,v 1.2 2015/02/06 02:04:35 schwarze Exp $

REGRESS_TARGETS	 = spacing
LINT_TARGETS	 = spacing

.include <bsd.regress.mk>
