=== regress/mdoc/Em/Makefile ===
# $OpenBSD: Makefile,v 1.3 2014/11/17 06:44:35 schwarze Exp $

REGRESS_TARGETS	= font noarg punct
LINT_TARGETS	= noarg punct

.include <bsd.regress.mk>
