=== debian/changelog ===
mdocml (1.14.4-1) unstable; urgency=medium

  * New upstream version 1.14.4
  * drop empty-html-id-crash.patch (merged upstream)
  * d/watch: switch to secure URL
  * b/compat: bump to dh 11
  * d/control: M-x delete-trailing-whitespace
  * d/rules: add nocheck conditional
  * d/control: bump standards-version (no changes necessary)

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 09 Aug 2018 20:55:23 +0200

mdocml (1.14.3-4) unstable; urgency=medium

  * update Vcs-* tags after repository move to salsa.debian.org

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 03 Jun 2018 08:56:04 +0200
