=== debian/rules ===
--- 
+++ 
@@ -29,4 +29,6 @@
 overrid_dh_installman:
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	(cd regress && ./regress.pl)
+endif
